Skip to main content
PUT
Match bank transaction
This should be used when platforms have pre-existing knowledge of what bank transactions are associated with a financial event, or when a user confirms a suggested match in a UI. If you are using Layer’s Bank Transactions embedded component, you are unlikely to need to call this endpoint directly. Suggested matches can be found on a Bank Transaction Object.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string
required

ID of the business the bank transaction is associated with.

transactionId
string
required

The UUID of the bank transaction to match.

Body

application/json
type
string

Polymorphic discriminator, this must be set as Confirm_Match.

Example:

"Confirm_Match"

match_id
string<uuid>

ID of the suggested match to confirm.

Response

data
object
required